Skip to main content
PUT
/
documents
/
{id}
Update a document
curl --request PUT \
  --url https://api.vocobase.com/api/v2/documents/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "type": "pdf",
    "status": "uploading",
    "file_size": 123,
    "mime_type": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key in format: rg_live_xxxx. Pass as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

Document ID.

Body

application/json
name
string

New document name.

Required string length: 1 - 100
description
string | null

New description. Pass null or empty string to remove.

Maximum string length: 500

Response

Document updated.

success
boolean
data
object